# List Privilege Assignments

Launch stage: Public Preview

`GET /api/2.1/unity-catalog/privilege-assignments/{securable_type}/{full_name}`

Lists the privilege assignments for a securable. Does not include inherited privileges.
 Paginated version of Get Permissions API.

API scopes: unity-catalog

## Path parameters

- `securable_type` (string, optional)
  Type of securable.
- `full_name` (string, optional)
  Full name of securable.

## Query parameters

- `principal` (string, optional)
  If provided, only the permissions for the specified principal (user or group) are returned.
- `page_size` (int32, optional)
  Specifies the maximum number of privilege assignments to return (page length).
   Every PrivilegeAssignment present in a single page response is guaranteed to contain all the privileges granted on
   the requested Securable for the respective principal.
  
   If not set, page length is the server configured value.
   If set to
     - lesser than 0: invalid parameter error
     - 0: page length is set to a server configured value
     - lesser than 150 but greater than 0: invalid parameter error (this is to ensure that server is able to return at
       least one complete PrivilegeAssignment in a single page response)
     - greater than (or equal to) 150: page length is the minimum of this value and a server configured value
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on previous query.

## Returns

- `privilege_assignments` (array of object, optional)
  - `principal` (string, optional)
    The principal (user email address or group name).
     For deleted principals, `principal` is empty while `principal_id` is populated.
  - `privileges` (array of string, optional)
    The privileges assigned to the principal.
    Example: `SELECT`
- `next_page_token` (string, optional)
  Opaque token to retrieve the next page of results. Absent if there are no more pages.
   __page_token__ should be set to this value for the next request (for the next page of results).

## Response

```json
{
  "privilege_assignments": [
    {
      "principal": "string",
      "privileges": "SELECT"
    }
  ],
  "next_page_token": "string"
}
```

